Bug 587828 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:3ce7c3eef6b14a6047b99d560d8...
: Triaged
: 590510 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 20:37 EDT by Anders Nielsen
Modified: 2010-12-03 10:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:14:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.91 KB, text/plain)
2010-04-30 20:37 EDT, Anders Nielsen
no flags Details

  None (edit)
Description Anders Nielsen 2010-04-30 20:37:39 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox
component: firefox
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: 3ce7c3eef6b14a6047b99d560d8b91ae092bb79a
kernel: 2.6.32.11-99.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 3
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Anders Nielsen 2010-04-30 20:37:43 EDT
Created attachment 410624 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-10 15:10:43 EDT
#2  <signal handler called>
No symbol table info available.
#3  0x0000000000000000 in ?? ()
No symbol table info available.
#4  0x0000003e1206da7f in FindLineContainer (aFrame=0x7fe9f93d6f10)
    at nsTextFrameThebes.cpp:775
No locals.
#5  0x0000003e12073a1d in BuildTextRuns (aContext=0x7fe9e388d1e0, aForFrame=
    0x7fe9f93d6f10, aLineContainer=0x0, aForFrameLine=0x0)
    at nsTextFrameThebes.cpp:967
        isValid = 62
        backIterator = {mFrame = 0x0, mLine = {mCurrent = 0x0}, 
          mInOverflowLines = 0x7fff97ea4c80}
        stopAtFrame = <value optimized out>
        mayBeginInTextRun = <value optimized out>
        block = <value optimized out>
        forwardIterator = {mFrame = 0xc091340000000000, mLine = {mCurrent = 
    0xc07e000000000000}, mInOverflowLines = 0x3ff0000000000000}
        nextLineFirstTextFrame = <value optimized out>
        seenTextRunBoundaryOnLaterLine = <value optimized out>
        seenStartLine = <value optimized out>
        linesAfterStartLine = <value optimized out>
        presContext = <value optimized out>
        scanner = {mMappedFlows = 
    {<nsTArray<BuildTextRunsScanner::MappedFlow>> = {<nsTArray_base> = {
                static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                  mIsAutoArray = 0}, mHdr = 
    0x7fff97ea4c10}, <No data fields>}, mAutoBuf = 
    "\000\000\000\000\240", '\000' <repeats 11 times>, "\001\000\000\000\240\000\000\000\000\000\000\000\377\177\000\000\000\000\000\000\001\000\000\000PL\352\227\377\177\000\000\000K\352\227\377\177\000\000\360K\352\227\377\177\000\000\020L\352\227\377\177\000\000\000\000\000\000\000\000\360?", '\000' <repeats 22 times>"\360, ?\000\000\000\000\000\064\221\300\000\000\000\000\000\000~\300\000\020\000\000\351\177\000\000\314\353 \r>\000\000\000\340N\352\227\377\177\000\000\201|\377\021>\000\000\000\001\000\000\000\351\177\000\000\340y*\343\351\177\000\000\240\060\317\343\351\177\000\000\001", '\000' <repeats 13 times>, "\020@\000\000\000\000\000\000\020@\000\000\000\000\000\000\020@`L\352\227\377\177\000\000\002\000\000\000\000\000\000\000\300\036\f\350\351\177\000\000pM\352\227\377\177\000\000\071V\"\r>\000\000"}, mLineBreakBeforeFrames = 
    {<nsTArray<nsTextFrame*>> = {<nsTArray_base> = {static sEmptyHdr = {
                  mLength = 0, mCapacity = 0, mIsAutoArray = 0}, mHdr = 
    0x7fff97ea5100}, <No data fields>}, mAutoBuf = 
    "\000\000\000\000\000\000\000\000\000Q\352\227\377\177\000\000\356\373\"\r>\000\000\000\000]\004\000\000\340\001\000\000]\004\000\000\360\001\000\000M\004\000\000\340\001\000\000M\004\000\000\360\001\000\340y*\343\351\177\000\000\a\331!\r>\000\000\000\021\021\021\021\021\021\261?\302\321@\000\000\000\000\000\000\000\000\000\000\200\220@\232\231\231\231\231\231\271?`\206G\r>\000\000\000\000\060\251\006\352\177\000\000\204\211\340\354\351\177\000\000\000\060\251\006\352\177\000\000\340/\252\006\352\177\000\000\000\360\251\006\352\177\000\000@\210\340\354\351\177\000\000\030\000\000\000\000\000\000\000\020L\374\364\351\177\000\000is\240\a>", '\000' <repeats 25 times>, "0@\333\303@\000\000\000\000\000@\300\271\006\352\177\000\000\030\000\000\000\000\000\000\000\001\000\000\000\000\000\000\000\300M\352\227\377\177\000\000\000\360\251\006\352\177\000\000\351\337@", '\000' <repeats 11 times>, "0@\333\303@\000\000\000\000\000\b"...}, 
          mBreakSinks = 
    {<nsTArray<nsAutoPtr<BuildTextRunsScanner::BreakSink> >> = 
    {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                  mIsAutoArray = 0}, mHdr = 
    0x7fe9f4900248}, <No data fields>}, mAutoBuf = 
    "\330\303\271\006\352\177\000\000\000\306\243\006\352\177\000\000\240s\203\350\351\177\000\000\330\bP\370\351\177\000\000\370\302\271\006\352\177\000\000\320\a`\370\351\177\000\000\030\302\271\006\352\177\000\000`k\344\346\351\177\000\000\354\324@", '\000' <repeats 13 times>"\354, \324@\000\000\000\000"}, 
          mTextRunsToDelete = {<nsTArray<gfxTextRun*>> = {<nsTArray_base> = {
                static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                  mIsAutoArray = 0}, mHdr = 0x0}, <No data fields>}, 
            mAutoBuf = 
    "\254$\"\r>", '\000' <repeats 11 times>"\300, \036\f\350\351\177\000\000\240\274%\r>\000\000\000](\"\r>\000\000\000\300\036\f\350\351\177\000"}, 
          mLineBreaker = {mCurrentWord = {<nsTArray<unsigned short>> = 
    {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                    mIsAutoArray = 0}, mHdr = 
    0x3e0d25bca0}, <No data fields>}, mAutoBuf = 
    "\000\020\000\000\000\000\000\000\213=\"\r>\000\000\000\060\034+\343\351\177\000\000@\210\340\354\351\177\000\000@\004\v\350\351\177\000\000\374Y!\r>\000\000\000\000\000\000\000\000\000\360?\331\215!\r>\000\000\000\000\000\000\000\000\000\360?J\000!\r>\000\000\000\060\034+\343\351\177\000\000\066P!\r>\000\000\000\000\000\000\000\000L\217@\232\231\231\231\231\365}@\000\000\000\000\000\000\360?", '\000' <repeats 22 times>"\360, ?\000\000\000\000\000L\217\300\232\231\231\231\231\365}\300\000\034+\343\351\177\000\000\272\352", '\000' <repeats 14 times>"\211, \366 \r>\000\000\000Yp\000\000\000\000\000\000\070\247b\022>\000\000"}, mTextItems = {<nsTArray<nsLineBreaker::TextItem>> = {<nsTArray_base> = {
                  static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                    mIsAutoArray = 0}, mHdr = 
    0x408f4c0000000000}, <No data fields>}, mAutoBuf = 
    "\232\231\231\231\231\365}@\000`D\343\351\177\000\000\022\263\001\022>\000\000\000\000\000\000\000\000\062\221@ ;e\344\351\177\000\000\000\000\000\000\000\000\060@\302\321@\000\000\000\000"}, mCurrentWordContainsComplexChar = 
    32 ' ', mAfterBreakableSpace = 59 ';', mBreakHere = 101 'e'}, 
          mCurrentFramesAllSameTextRun = 0x0, mContext = 0x7fe9e3446000, 
          mLineContainer = 0x3e1201b23e, mLastFrame = 0x0, 
          mCommonAncestorWithLastFrame = 0x0, mMaxTextLength = 0, 
          mDoubleByteText = 0 '\000', mBidiEnabled = 0 '\000', mStartOfLine = 
    0 '\000', mSkipIncompleteTextRuns = 0 '\000', mCanStopOnThisLine = 
    119 'w', mNextRunContextInfo = 152 '\230', mCurrentRunContextInfo = 
    98 'b'}
#6  0x0000003e120740d0 in nsTextFrame::EnsureTextRun (this=0x7fe9f93d6f10, 
    aReferenceContext=<value optimized out>, aLineContainer=0x0, aLine=0x0, 
    aFlowEndInTextRun=0x0) at nsTextFrameThebes.cpp:1966
        userData = <value optimized out>
        direction = <value optimized out>
        emptySkipChars = {mList = {mRawPtr = 0x0}, mShortcuts = {mRawPtr = 
    0x0}, mListLength = 0, mCharCount = 0}
#7  0x0000003e120782da in nsTextFrame::PaintText (this=0x7fe9f93d6f10, 
    aRenderingContext=0x7fe9e4653ac0, aPt=..., aDirtyRect=...)
    at nsTextFrameThebes.cpp:4499
        iter = {mSkipChars = 0x7fe9e3cc8120, mOriginalStringOffset = 
    -469643088, mSkippedStringOffset = 32745, 
          mOriginalStringToSkipCharsOffset = -483755560, mListPrefixLength = 
    32745, mListPrefixCharCount = 2548716592, mListPrefixKeepCharCount = 
    32767}
        textPaintStyle = {mFrame = 0x0, mPresContext = 0x1000000010, 
          mInitCommonColors = 16 '\020', mInitSelectionColors = 0 '\000', 
          mSelectionStatus = 0, mSelectionTextColor = 16, mSelectionBGColor = 
    0, mSufficientContrast = 0, mFrameBackgroundColor = 3811073488, 
          mIMEStyle = {{mInit = 32745, mTextColor = 0, mBGColor = 0, 
              mUnderlineColor = 4029615568, mUnderlineStyle = 233 '\351'}, {
              mInit = 302317679, mTextColor = 62, mBGColor = 0, 
              mUnderlineColor = 0, mUnderlineStyle = 192 '\300'}, {mInit = 
    32745, mTextColor = 3875815712, mBGColor = 32745, mUnderlineColor = 
    3831839424, mUnderlineStyle = 233 '\351'}, {mInit = -419151584, 
              mTextColor = 32745, mBGColor = 28800, mUnderlineColor = 0, 
              mUnderlineStyle = 238 '\356'}}, mIMEUnderlineRelativeSize = 0}
        provider = {<gfxTextRun::PropertyProvider> = {
            _vptr.PropertyProvider = 0x7fff97ea5120}, mTextRun = 
    0x7fff97ea5150, mFontGroup = 0x7080000101ee, mFontMetrics = 
    {<nsCOMPtr_base> = {mRawPtr = 0x7fff97ea50e0}, <No data fields>}, 
          mTextStyle = 0x0, mFrag = 0x3e126ddb08, mLineContainer = 0x0, 
          mFrame = 0x7fff97ea50e0, mStart = {mSkipChars = 0x7fe9e7044120, 
            mOriginalStringOffset = -482064384, mSkippedStringOffset = 32745, 
            mOriginalStringToSkipCharsOffset = -441671680, 
            mListPrefixLength = 32745, mListPrefixCharCount = 302316402, 
            mListPrefixKeepCharCount = 62}, mTempIterator = {mSkipChars = 
    0x3e12876b50, mOriginalStringOffset = 0, mSkippedStringOffset = 65537, 
            mOriginalStringToSkipCharsOffset = 63, mListPrefixLength = 32767, 
            mListPrefixCharCount = 2548715776, mListPrefixKeepCharCount = 
    32767}, mTabWidths = 0x0, mLength = 302041624, mWordSpacing = 
    6.9532695315496633e-310, mLetterSpacing = 6.9532695315512443e-310, 
          mJustificationSpacing = 1.317209573132605e-312, mHyphenWidth = 
    6.9486743069775938e-310, mOffsetFromBlockOriginForTabs = 0, mReflowing = 
    77 'M'}
        ctx = <value optimized out>
        framePt = {x = 0, y = 1.3167257630050007e-312}
        textBaselinePt = {x = 6.9532695315868171e-310, y = 0}
        dirtyRect = {pos = {x = 0, y = 6.9486640410278524e-310}, size = {
            width = 6.9486635163945627e-310, height = 2.098791851664907e-317}}
        advanceWidth = 6.948664213643322e-310
        foregroundColor = {r = 0, g = 6.9532695315662639e-310, b = 
    6.1113478812422997e-310, a = 1.3167255674093522e-312}
        textStyle = <value optimized out>
#8  0x0000003e1207864a in nsDisplayText::Paint (this=0x7fe9e4c1cbc8, 
    aBuilder=<value optimized out>, aCtx=0x7fe9e4653ac0, 
    aDirtyRect=<value optimized out>) at nsTextFrameThebes.cpp:3775
No locals.
#9  0x0000003e11ffdc86 in nsDisplayList::Paint (this=<value optimized out>, 
    aBuilder=0x7fff97ea5430, aCtx=0x7fe9e4653ac0, aDirtyRect=...)
    at nsDisplayList.cpp:313
        i = 0x7fe9e4c1cbc8



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-10 15:12:07 EDT
*** Bug 590510 has been marked as a duplicate of this bug. ***
Comment 4 jar0s 2010-05-14 08:06:34 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. go to: http://fabrykamuzy.pl/player?streamId=108
2. hope that after some time firefox will crash ;)


Comment
-----
Firefox crashed with no particular reason while listening to an internet radio.
Comment 5 Chris Campbell 2010-05-14 10:26:27 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 jar0s 2010-05-19 04:58:35 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Opened firefox with two tabs (remembered from last session) one tab was youtube, second one was internet radio
2. 
3.
Comment 7 Tomáš 2010-05-20 14:23:01 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Having BBC Iplayer on.
2.Use of mulltiple (4+) tabs with active reloading,


Comment
-----
after mustiple opens and closes  one close will result in firefox crashing
Comment 8 Tomáš 2010-05-27 17:33:36 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Start one page in several pages with active java scripts.
2.Close a tab  and scroll down strait away
3.
Comment 9 Bug Zapper 2010-11-03 11:55:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 10:14:33 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.